Categories:
  - Sports & Health
License: MIT
AuthorName: Bastian Block
AuthorEmail: blockbasti99@gmail.com
SourceCode: https://github.com/blockbasti/just_another_workout_timer
IssueTracker: https://github.com/blockbasti/just_another_workout_timer/issues
Changelog: https://github.com/blockbasti/just_another_workout_timer/releases

AutoName: Just Another Workout Timer

RepoType: git
Repo: https://github.com/blockbasti/just_another_workout_timer

Builds:
  - versionName: 1.0.1
    versionCode: 1
    commit: v1.0.1
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@1.22.5
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.1
    versionCode: 20210127
    commit: v1.1.1
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@1.22.5
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk --build-number 20210127

  - versionName: 1.2.0
    versionCode: 20210205
    commit: v1.2.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@1.22.6
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0
    versionCode: 20210209
    commit: v1.3.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@1.22.6
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.0
    versionCode: 20210221
    commit: v1.4.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@1.22.6
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.1
    versionCode: 20210226
    commit: v1.4.1
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@1.22.6
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.2
    versionCode: 20210227
    commit: v1.4.2
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@1.22.6
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.0
    versionCode: 20210307
    commit: v1.5.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@1.22.6
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/blockbasti/just_another_workout_timer/release/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.5.0
CurrentVersionCode: 20210307
